From 6b947eabf43c629eb01829693d3e485416b6a57a Mon Sep 17 00:00:00 2001
From: Daniel Baumann <daniel@debian.org>
Date: Mon, 14 Dec 2009 10:54:42 +0100
Subject: Changing local packageslists behaviour for consistency reasons, now
 looking for .list suffix and enabling them automatically (Closes: #545403).

---
 helpers/lh_chroot                     |  1 +
 helpers/lh_chroot_local-packageslists | 51 +++++++++++++++++++++++++++++++++++
 helpers/lh_chroot_packageslists       |  3 +--
 3 files changed, 53 insertions(+), 2 deletions(-)
 create mode 100755 helpers/lh_chroot_local-packageslists

diff --git a/helpers/lh_chroot b/helpers/lh_chroot
index df14a0f..65c5e65 100755
--- a/helpers/lh_chroot
+++ b/helpers/lh_chroot
@@ -47,6 +47,7 @@ lh chroot_preseed ${*}
 lh chroot_local-preseed ${*}
 lh chroot_tasks ${*}
 lh chroot_packageslists ${*}
+lh chroot_local-packageslists ${*}
 lh chroot_packages ${*}
 lh chroot_local-packages ${*}
 lh chroot_install-packages ${*}
diff --git a/helpers/lh_chroot_local-packageslists b/helpers/lh_chroot_local-packageslists
new file mode 100755
index 0000000..5e51ed9
--- /dev/null
+++ b/helpers/lh_chroot_local-packageslists
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# lh_chroot_local-packageslists(1) - queue install of local packages lists into chroot
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'queue install of local packages lists into chroot')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+Echo_message "Begin queueing installation of local packages lists..."
+
+# Requiring stage file
+Require_stagefile .stage/config .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/chroot_local-packageslists
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+if ls config/chroot_local-packageslists/*.list > /dev/null 2>&1
+then
+	for LIST in config/chroot_local-packageslists/*.list
+	do
+		# Generating local package list
+		Expand_packagelist "$(basename ${LIST})" "config/chroot_local-packageslists" \
+			>> chroot/root/chroot_packages
+	done
+
+	# Creating stage file
+	Create_stagefile .stage/chroot_local-packageslists
+fi
diff --git a/helpers/lh_chroot_packageslists b/helpers/lh_chroot_packageslists
index 464369d..3ec26fb 100755
--- a/helpers/lh_chroot_packageslists
+++ b/helpers/lh_chroot_packageslists
@@ -43,8 +43,7 @@ then
 	for LIST in ${LH_PACKAGES_LISTS}
 	do
 		# Generating package list
-		Expand_packagelist "${LIST}" "config/chroot_local-packageslists" \
-			>> chroot/root/chroot_packages
+		Expand_packagelist "${LIST}" >> chroot/root/chroot_packages
 	done
 
 	# Creating stage file
-- 
cgit v1.0